Automation
CompozyOS Automation HTTP endpoints.
scope?stringFilter by automation scope
"global""workspace""user""@user"workspace_id?stringFilter by workspace id
all_workspaces?booleanRead every definition
workspace_ids?array<string>Project IDs or @user; requires all_workspaces=true
source?stringFilter by job source
"config""package""dynamic"target?stringFilter by target kind; task matches jobs with a task target
"agent""loop""task"enabled?booleanFilter by enabled state
q?stringSearch jobs by name, agent, prompt, scope, source, or schedule
cursor?stringContinue after this automation job cursor
limit?integerMaximum number of records to return
int32profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
loop?stringFilter by Loop target name
OK
application/json- response
jobs*array<>page*curl -X GET "https://example.com/api/automation/jobs"{ "jobs": [ { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" } ], "page": { "has_more": true, "limit": 0, "next_cursor": "string", "total": 0 }}profile?stringAct as this profile by name
JSON request body
application/json- body
agent_name*string^(?:|[a-z][a-z0-9_-]{0,105})$length <= 106enabled?boolean|nullfire_limit?|loop_target?|name*stringprompt*stringretry?|schedule*scope*string"global""workspace""user""@user"target_kind?stringtask?|workspace_id?stringCreated
application/json- response
job*curl -X POST "https://example.com/api/automation/jobs" \ -H "Content-Type: application/json" \ -d '{ "agent_name": "string", "name": "string", "prompt": "string", "schedule": { "mode": "cron" }, "scope": "global" }'{ "job": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }}id*stringAutomation job id
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
job*curl -X GET "https://example.com/api/automation/jobs/string"{ "job": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }}id*stringAutomation job id
profile?stringAct as this profile by name
JSON request body
application/json- body
enabled?boolean|nullfire_limit?|loop_target?|name?string|nullprompt?string|nullretry?|schedule?|task?|OK
application/json- response
job*curl -X PATCH "https://example.com/api/automation/jobs/string" \ -H "Content-Type: application/json" \ -d '{}'{ "job": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }}id*stringAutomation job id
profile?stringAct as this profile by name
No Content
curl -X DELETE "https://example.com/api/automation/jobs/string"id*stringAutomation job id
status?stringFilter by run status
"scheduled""running""delegated""completed""failed""canceled"since?stringOnly runs started since this timestamp
date-timeuntil?stringOnly runs started before this timestamp
date-timelimit?integerMaximum number of records to return
int32profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
page?|runs*array<>curl -X GET "https://example.com/api/automation/jobs/string/runs"{ "page": { "has_more": true, "limit": 0, "next_cursor": "string" }, "runs": [ { "attempt": 0, "attribution": "string", "delivery_error": "string", "delivery_error_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "fire_id": "string", "id": "string", "job_id": "string", "loop_run_id": "string", "metadata": { "property1": null, "property2": null }, "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "scheduled_at": "2019-08-24T14:15:22Z", "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled", "task_id": "string", "task_run_id": "string", "trigger_id": "string", "workspace_id": "string" } ]}id*stringAutomation job id
profile?stringAct as this profile by name
OK
application/json- response
run*curl -X POST "https://example.com/api/automation/jobs/string/trigger"{ "run": { "attempt": 0, "attribution": "string", "delivery_error": "string", "delivery_error_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "fire_id": "string", "id": "string", "job_id": "string", "loop_run_id": "string", "metadata": { "property1": null, "property2": null }, "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "scheduled_at": "2019-08-24T14:15:22Z", "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled", "task_id": "string", "task_run_id": "string", "trigger_id": "string", "workspace_id": "string" }}workspace_id?stringFilter by source project; @user selects User
all_workspaces?booleanRead every run, including unknown attribution
workspace_ids?array<string>Source project IDs or @user; excludes unknown attribution
cursor?stringOpaque source-filter-bound cursor
job_id?stringFilter by automation job id
trigger_id?stringFilter by automation trigger id
status?stringFilter by run status
"scheduled""running""delegated""completed""failed""canceled"since?stringOnly runs started since this timestamp
date-timeuntil?stringOnly runs started before this timestamp
date-timelimit?integerMaximum number of records to return
int32profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
page?|runs*array<>curl -X GET "https://example.com/api/automation/runs"{ "page": { "has_more": true, "limit": 0, "next_cursor": "string" }, "runs": [ { "attempt": 0, "attribution": "string", "delivery_error": "string", "delivery_error_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "fire_id": "string", "id": "string", "job_id": "string", "loop_run_id": "string", "metadata": { "property1": null, "property2": null }, "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "scheduled_at": "2019-08-24T14:15:22Z", "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled", "task_id": "string", "task_run_id": "string", "trigger_id": "string", "workspace_id": "string" } ]}id*stringAutomation run id
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
run*curl -X GET "https://example.com/api/automation/runs/string"{ "run": { "attempt": 0, "attribution": "string", "delivery_error": "string", "delivery_error_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "fire_id": "string", "id": "string", "job_id": "string", "loop_run_id": "string", "metadata": { "property1": null, "property2": null }, "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "scheduled_at": "2019-08-24T14:15:22Z", "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled", "task_id": "string", "task_run_id": "string", "trigger_id": "string", "workspace_id": "string" }}all_workspaces?booleanRead all projects and User rows
workspace_ids?array<string>Repeatable project IDs or @user; requires all_workspaces=true
status?stringFilter by suggestion status
"pending""accepted""dismissed"OK
application/json- response
suggestions*array<>curl -X GET "https://example.com/api/automation/suggestions"{ "suggestions": [ { "created_at": "2019-08-24T14:15:22Z", "dedup_key": "string", "id": "string", "payload": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }, "profile_id": "string", "resolved_at": "2019-08-24T14:15:22Z", "source": "string", "status": "string", "workspace_id": "string" } ]}scope?stringFilter by automation scope
"global""workspace""user""@user"workspace_id?stringFilter by workspace id
all_workspaces?booleanRead every definition
workspace_ids?array<string>Project IDs or @user; requires all_workspaces=true
source?stringFilter by trigger source
"config""package""dynamic"target?stringFilter by target kind; task matches no trigger
"agent""loop""task"enabled?booleanFilter by enabled state
event?stringFilter by trigger event
q?stringSearch triggers by definition or filter fields
cursor?stringContinue after this automation trigger cursor
limit?integerMaximum number of records to return
int32profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
loop?stringFilter by Loop target name
OK
application/json- response
page*triggers*array<>curl -X GET "https://example.com/api/automation/triggers"{ "page": { "has_more": true, "limit": 0, "next_cursor": "string", "total": 0 }, "triggers": [ { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "endpoint_slug": "string", "event": "string", "filter": { "property1": "string", "property2": "string" }, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "ingress": { "confirmed_at": "2019-08-24T14:15:22Z", "confirmed_endpoint_generation": 0, "enable_path": "string", "endpoint_generation": 0, "reachability": "string", "scope_kind": "string", "subject_id": "string", "subject_kind": "string", "url": "string", "workspace_id": "string" }, "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "scope": "global", "source": "config", "target_kind": "string", "updated_at": "2019-08-24T14:15:22Z", "webhook_id": "string", "webhook_secret_hash": "string", "webhook_secret_present": true, "workspace_id": "string" } ]}profile?stringAct as this profile by name
JSON request body
application/json- body
agent_name*string^(?:|[a-z][a-z0-9_-]{0,105})$length <= 106enabled?boolean|nullendpoint_slug?stringevent*stringfilter?fire_limit?|loop_target?|name*stringprompt*stringretry?|scope*string"global""workspace""user""@user"target_kind?stringwebhook_id?stringwebhook_secret_value?stringworkspace_id?stringCreated
application/json- response
trigger*curl -X POST "https://example.com/api/automation/triggers" \ -H "Content-Type: application/json" \ -d '{ "agent_name": "string", "event": "string", "name": "string", "prompt": "string", "scope": "global" }'{ "trigger": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "endpoint_slug": "string", "event": "string", "filter": { "property1": "string", "property2": "string" }, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "ingress": { "confirmed_at": "2019-08-24T14:15:22Z", "confirmed_endpoint_generation": 0, "enable_path": "string", "endpoint_generation": 0, "reachability": "string", "scope_kind": "string", "subject_id": "string", "subject_kind": "string", "url": "string", "workspace_id": "string" }, "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "scope": "global", "source": "config", "target_kind": "string", "updated_at": "2019-08-24T14:15:22Z", "webhook_id": "string", "webhook_secret_hash": "string", "webhook_secret_present": true, "workspace_id": "string" }}id*stringAutomation trigger id
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
trigger*curl -X GET "https://example.com/api/automation/triggers/string"{ "trigger": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "endpoint_slug": "string", "event": "string", "filter": { "property1": "string", "property2": "string" }, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "ingress": { "confirmed_at": "2019-08-24T14:15:22Z", "confirmed_endpoint_generation": 0, "enable_path": "string", "endpoint_generation": 0, "reachability": "string", "scope_kind": "string", "subject_id": "string", "subject_kind": "string", "url": "string", "workspace_id": "string" }, "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "scope": "global", "source": "config", "target_kind": "string", "updated_at": "2019-08-24T14:15:22Z", "webhook_id": "string", "webhook_secret_hash": "string", "webhook_secret_present": true, "workspace_id": "string" }}id*stringAutomation trigger id
profile?stringAct as this profile by name
JSON request body
application/json- body
enabled?boolean|nullendpoint_slug?string|nullevent?string|nullfilter?fire_limit?|loop_target?|name?string|nullprompt?string|nullretry?|webhook_id?string|nullwebhook_secret_value?string|nullOK
application/json- response
trigger*curl -X PATCH "https://example.com/api/automation/triggers/string" \ -H "Content-Type: application/json" \ -d '{}'{ "trigger": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "endpoint_slug": "string", "event": "string", "filter": { "property1": "string", "property2": "string" }, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "ingress": { "confirmed_at": "2019-08-24T14:15:22Z", "confirmed_endpoint_generation": 0, "enable_path": "string", "endpoint_generation": 0, "reachability": "string", "scope_kind": "string", "subject_id": "string", "subject_kind": "string", "url": "string", "workspace_id": "string" }, "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "scope": "global", "source": "config", "target_kind": "string", "updated_at": "2019-08-24T14:15:22Z", "webhook_id": "string", "webhook_secret_hash": "string", "webhook_secret_present": true, "workspace_id": "string" }}id*stringAutomation trigger id
profile?stringAct as this profile by name
No Content
curl -X DELETE "https://example.com/api/automation/triggers/string"id*stringAutomation trigger id
status?stringFilter by run status
"scheduled""running""delegated""completed""failed""canceled"since?stringOnly runs started since this timestamp
date-timeuntil?stringOnly runs started before this timestamp
date-timelimit?integerMaximum number of records to return
int32profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
page?|runs*array<>curl -X GET "https://example.com/api/automation/triggers/string/runs"{ "page": { "has_more": true, "limit": 0, "next_cursor": "string" }, "runs": [ { "attempt": 0, "attribution": "string", "delivery_error": "string", "delivery_error_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "fire_id": "string", "id": "string", "job_id": "string", "loop_run_id": "string", "metadata": { "property1": null, "property2": null }, "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "scheduled_at": "2019-08-24T14:15:22Z", "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled", "task_id": "string", "task_run_id": "string", "trigger_id": "string", "workspace_id": "string" } ]}endpoint*stringWebhook endpoint slug and id
profile?stringAct as this profile by name
X-Compozy-Webhook-Delivery-ID*stringUnique webhook delivery id
X-Compozy-Webhook-Timestamp*stringSigned webhook timestamp
X-Compozy-Webhook-Signature*stringSigned webhook HMAC signature
JSON request body
application/json- body
[key: string]?unknownOK
application/json- response
result*curl -X POST "https://example.com/api/webhooks/global/string" \ -H "X-Compozy-Webhook-Delivery-ID: string" \ -H "X-Compozy-Webhook-Timestamp: string" \ -H "X-Compozy-Webhook-Signature: string" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{ "result": { "matched": 0, "runs": [ { "attempt": 0, "attribution": "string", "delivery_error": "string", "delivery_error_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "fire_id": "string", "id": "string", "job_id": "string", "loop_run_id": "string", "metadata": { "property1": null, "property2": null }, "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "scheduled_at": "2019-08-24T14:15:22Z", "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled", "task_id": "string", "task_run_id": "string", "trigger_id": "string", "workspace_id": "string" } ] }}workspace_id*stringWorkspace id
endpoint*stringWebhook endpoint slug and id
profile?stringAct as this profile by name
X-Compozy-Webhook-Delivery-ID*stringUnique webhook delivery id
X-Compozy-Webhook-Timestamp*stringSigned webhook timestamp
X-Compozy-Webhook-Signature*stringSigned webhook HMAC signature
JSON request body
application/json- body
[key: string]?unknownOK
application/json- response
result*curl -X POST "https://example.com/api/webhooks/workspaces/string/string" \ -H "X-Compozy-Webhook-Delivery-ID: string" \ -H "X-Compozy-Webhook-Timestamp: string" \ -H "X-Compozy-Webhook-Signature: string" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{ "result": { "matched": 0, "runs": [ { "attempt": 0, "attribution": "string", "delivery_error": "string", "delivery_error_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "fire_id": "string", "id": "string", "job_id": "string", "loop_run_id": "string", "metadata": { "property1": null, "property2": null }, "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "scheduled_at": "2019-08-24T14:15:22Z", "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled", "task_id": "string", "task_run_id": "string", "trigger_id": "string", "workspace_id": "string" } ] }}workspace_id*stringWorkspace id
status?stringFilter by suggestion status
"pending""accepted""dismissed"OK
application/json- response
suggestions*array<>curl -X GET "https://example.com/api/workspaces/string/automation/suggestions"{ "suggestions": [ { "created_at": "2019-08-24T14:15:22Z", "dedup_key": "string", "id": "string", "payload": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }, "profile_id": "string", "resolved_at": "2019-08-24T14:15:22Z", "source": "string", "status": "string", "workspace_id": "string" } ]}workspace_id*stringWorkspace id
suggestion_id*stringAutomation suggestion id
OK
application/json- response
job*suggestion*curl -X POST "https://example.com/api/workspaces/string/automation/suggestions/string/accept"{ "job": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }, "suggestion": { "created_at": "2019-08-24T14:15:22Z", "dedup_key": "string", "id": "string", "payload": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }, "profile_id": "string", "resolved_at": "2019-08-24T14:15:22Z", "source": "string", "status": "string", "workspace_id": "string" }}workspace_id*stringWorkspace id
suggestion_id*stringAutomation suggestion id
OK
application/json- response
suggestion*curl -X POST "https://example.com/api/workspaces/string/automation/suggestions/string/dismiss"{ "suggestion": { "created_at": "2019-08-24T14:15:22Z", "dedup_key": "string", "id": "string", "payload": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "enabled": true, "fire_limit": { "max": 0, "window": "string" }, "id": "string", "last_run": { "ended_at": "2019-08-24T14:15:22Z", "id": "string", "skip_reason": "string", "started_at": "2019-08-24T14:15:22Z", "status": "scheduled" }, "loop_target": { "input_mapping": { "property1": "string", "property2": "string" }, "inputs": { "property1": null, "property2": null }, "loop_name": "string", "workspace_id": "string" }, "name": "string", "next_run": "2019-08-24T14:15:22Z", "profile_color": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "prompt": "string", "retry": { "base_delay": "string", "max_retries": 0, "strategy": "none" }, "schedule": { "catch_up_policy": "skip_missed", "expr": "string", "interval": "string", "misfire_grace_seconds": 0, "mode": "cron", "time": "string" }, "scheduler": { "catch_up_policy": "skip_missed", "consecutive_resume_failures": 0, "job_id": "string", "last_fire_id": "string", "last_misfire_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_scheduled_at": "2019-08-24T14:15:22Z", "misfire_count": 0, "misfire_grace_seconds": 0, "next_run_at": "2019-08-24T14:15:22Z", "registered": true, "updated_at": "2019-08-24T14:15:22Z" }, "scope": "global", "source": "config", "target_kind": "string", "task": { "description": "string", "owner": { "kind": "human", "ref": "string" }, "title": "string" }, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }, "profile_id": "string", "resolved_at": "2019-08-24T14:15:22Z", "source": "string", "status": "string", "workspace_id": "string" }}